# ----------------------------------------------------------------------------
# -*-makefile-*-
#
# Copyright (C) 2012 by shravan <shravan.k@phytec.in>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_SDK_BINS) += sdk_bins

SDK_BINS		:= sdk_bins
SDK_BINS_VERSION	:= 0.1
SDK_BINS_DIR		:= $(BUILDDIR)/$(SDK_BINS)
SDK_BINS_SUFFIX		:= tar
SDK_BINS_LICENSE	:= TSPA
SDK_BINS_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/sdk_bins.$(SDK_BINS_SUFFIX)
SDK_BINS_MODULE_DEST	:= $(shell cd $(KERNEL_PKGDIR) 2>&1 > /dev/null && find lib -mindepth 2 -maxdepth 2 -type d 2>&1 > /dev/null)

$(STATEDIR)/sdk_bins.extract:
	@$(call targetinfo)
	@$(call clean, $(SDK_BINS_DIR))
	mkdir $(SDK_BINS_DIR)
	@tar -xvf $(PTXDIST_WORKSPACE)/local_src/sdk_bins.tar -C $(SDK_BINS_DIR)
	@tar -xvf $(PTXDIST_WORKSPACE)/local_src/modules.tar -C $(SDK_BINS_DIR)
	@$(call touch)

# ----------------------------------------------------------------------------
#  Compile:
# ----------------------------------------------------------------------------
$(STATEDIR)/sdk_bins.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------
$(STATEDIR)/sdk_bins.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/sdk_bins.targetinstall:
	@$(call targetinfo)
#
	@$(call install_init, sdk_bins)
	@$(call install_fixup,sdk_bins,PRIORITY,optional)
	@$(call install_fixup,sdk_bins,VERSION,,$(SDK_BINS_VERSION))
	@$(call install_fixup,sdk_bins,SECTION,base)
	@$(call install_fixup,sdk_bins,AUTHOR,"shravan <shravan.k@phytec.in>")
	@$(call install_fixup,sdk_bins,DESCRIPTION,missing)

	@$(call install_tree, sdk_bins, 0, 0, $(SDK_BINS_DIR), /, n)
	mkdir -p $(ROOTDIR)/$(SDK_BINS_MODULE_DEST)/extra/
	cp $(SDK_BINS_DIR)/lib/modules/3.2.0/extra/* $(ROOTDIR)/$(SDK_BINS_MODULE_DEST)/extra/.

	@$(call install_alternative, sdk_bins, 0, 0, 775, /etc/init.d/rc.pvr)

ifneq ($(call remove_quotes,$(PTXCONF_GRAPHICS_SDK_BBINIT_LINK)),)
	@$(call install_link, sdk_bins, \
		../init.d/rc.pvr, \
		/etc/rc.d/$(PTXCONF_GRAPHICS_SDK_BBINIT_LINK))
endif
##	@$(call install_archive, sdk_bins, 0, 0, \
##		$(PTXDIST_WORKSPACE)/local_src/sdk_bins.tar, /)

	@$(call install_finish,sdk_bins)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/sdk_bins.clean:
	@$(call targetinfo)
	@$(call clean_pkg, sdk_bins)

# vim: syntax=make
